# CEGUI::ColourRect Class Reference

Class that holds details of colours for the four corners of a rectangle. More...

Collaboration diagram for CEGUI::ColourRect:

[legend]
List of all members.

## Public Member Functions

| ColourRect (void)
| Default constructor.
| ColourRect (const colour &col)
| Constructor for ColourRect objects (via single colour). Also handles default construction.
| ColourRect (const colour &top_left, const colour &top_right, const colour &bottom_left, const colour &bottom_right)
| Constructor for ColourRect objects.
void | setAlpha (float alpha)
| Set the alpha value to use for all four corners of the ColourRect.
void | setTopAlpha (float alpha)
| Set the alpha value to use for the top edge of the ColourRect.
void | setBottomAlpha (float alpha)
| Set the alpha value to use for the bottom edge of the ColourRect.
void | setLeftAlpha (float alpha)
| Set the alpha value to use for the left edge of the ColourRect.
void | setRightAlpha (float alpha)
| Set the alpha value to use for the right edge of the ColourRect.
bool | isMonochromatic () const
| Determinate the ColourRect is monochromatic or variegated.
ColourRect | getSubRectangle (float left, float right, float top, float bottom) const
| Gets a portion of this ColourRect as a subset ColourRect.
colour | getColourAtPoint (float x, float y) const
| Get the colour at a point in the rectangle.
void | setColours (const colour &col)
| Set the colour of all four corners simultaneously.
void | modulateAlpha (float alpha)
| Module the alpha components of each corner's colour by a constant.
ColourRect & | operator *= (const ColourRect &other)
| Modulate all components of this colour rect with corresponding components from another colour rect.

## Public Attributes

colour | d_top_left
colour | d_top_right
colour | d_bottom_left
colour | d_bottom_right

## Detailed Description

Class that holds details of colours for the four corners of a rectangle.

## Member Function Documentation

colour CEGUI::ColourRect::getColourAtPoint | ( | float | x,
|  | float | y
| ) | const

Get the colour at a point in the rectangle.

Parameters:

  | x | The x coordinate of the point
  | y | The y coordinate of the point

Returns:
  The colour at the specified point.

ColourRect CEGUI::ColourRect::getSubRectangle | ( | float | left,
|  | float | right,
|  | float | top,
|  | float | bottom
| ) | const

Gets a portion of this ColourRect as a subset ColourRect.

Parameters:

  | left | The left side of this subrectangle (in the range of 0-1 float)
  | right | The right side of this subrectangle (in the range of 0-1 float)
  | top | The top side of this subrectangle (in the range of 0-1 float)
  | bottom | The bottom side of this subrectangle (in the range of 0-1 float)

Returns:
  A ColourRect from the specified range

bool CEGUI::ColourRect::isMonochromatic | ( |  | ) | const

Determinate the ColourRect is monochromatic or variegated.

Returns:
  True if all four corners of the ColourRect has same colour, false otherwise.

void CEGUI::ColourRect::modulateAlpha | ( | float | alpha | ) |

Module the alpha components of each corner's colour by a constant.

Parameters:

  | alpha | The constant factor to modulate all alpha colour components by.

void CEGUI::ColourRect::setAlpha | ( | float | alpha | ) |

Set the alpha value to use for all four corners of the ColourRect.

Parameters:

  | alpha | Alpha value to use.

Returns:
  Nothing.

void CEGUI::ColourRect::setBottomAlpha | ( | float | alpha | ) |

Set the alpha value to use for the bottom edge of the ColourRect.

Parameters:

  | alpha | Alpha value to use.

Returns:
  Nothing.

void CEGUI::ColourRect::setColours | ( | const colour & | col | ) |

Set the colour of all four corners simultaneously.

Parameters:

  | col | colour that is to be set for all four corners of the ColourRect;

void CEGUI::ColourRect::setLeftAlpha | ( | float | alpha | ) |

Set the alpha value to use for the left edge of the ColourRect.

Parameters:

  | alpha | Alpha value to use.

Returns:
  Nothing.

void CEGUI::ColourRect::setRightAlpha | ( | float | alpha | ) |

Set the alpha value to use for the right edge of the ColourRect.

Parameters:

  | alpha | Alpha value to use.

Returns:
  Nothing.

void CEGUI::ColourRect::setTopAlpha | ( | float | alpha | ) |

Set the alpha value to use for the top edge of the ColourRect.

Parameters:

  | alpha | Alpha value to use.

Returns:
  Nothing.